QGIS Application - Feature request #1075
Enhance Classify feature in vector's Gradient Symbol and Continuous Color symbology
2008-05-07 01:29 PM - cgsbob -

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: Vectors

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 11135
Description

Quite often I am comparing several vector files by using either Gradient or Continuous Color symbology based on a common attribute (for
instance water depth). When | click on Classify, the class bounds and the associated colors are differ from each vector file.

As a workaround, | can (in the case of Gradient Symbol) set the number of classes, click on the Classify button, and then edit each class,
but it gets rather tedious when you have many classes.

A possible solution to this problem is to allow the user to specify a new Mode that would allow the user to specify a beginning value
(default to min), end value (default to max), and number of classes along with the beginning and end color. Continuous Color symbology
could do the same.

History

#1 - 2008-05-07 02:00 PM - Stefano Costa -

| find the [[OpenJUMP]] colour theming very good at this task. I'd love having the same functionality in QGIS, because it's both flexible and visually
appealing. There are a number of preset scales for colour theming by value range. In QGIS, to do the same thing | have to load two times the same layer,
create a single-color view of it, give a continuous scale from black to white to the second and then play with transparency. And the result isn't obviously

very good.

See http://openjump.org/wiki/show/Change+Style here for a screenshot of the [[OpenJUMP]] interface (not exactly of range theming though).

#2 - 2009-12-11 07:38 AM - Giovanni Manghi

with new symbology | guess that this ticket can be closed. Please leave feedback. Thanks.

#3 - 2010-06-11 10:02 PM - Paolo Cavallini

- Resolution set to fixed

- Status changed from Open to Closed

#4 - 2014-12-16 06:00 PM - John Floyd -

Based on the comment about new symbology - | dont think that this option exists in the vector styling unless someone can point me to it. It DOES exist in

the raster styles.

This comment is based on Qgis V2.6. (Cant see any changes in the changelog of 2.6.1). It is not fixed and it is an important feature.

#5 - 2014-12-16 06:26 PM - Nathan Woodrow
- Resolution deleted (fixed)
http://openjump.org/wiki/show/Change+Style

- Pull Request or Patch supplied set to No

I'm not sure what is being asked here.

#6 - 2014-12-17 01:22 AM - Giovanni Manghi
- Status info deleted (0)
- Operating System deleted (Debian)

Nathan Woodrow wrote:

I'm not sure what is being asked here.
| guess the request is to allow define manually, in the graduated symbology, the min and max values used the create the classes. Of course this would
make sense only for certain modes (ex: equal interval but not natural breaks, | guess). For the categorized symbology the request does not make much

sense to me as it applies also to text columns, and the point is to create different classes for any different value, unless of course adding something that

would allow to recognize numerical columns and then create the classes only for values between a defined range.
